12 Replies Latest reply on Nov 19, 2010 4:46 AM by saveetha R

    HornetQ 2.1.2 and ESB 4.9 not compatible?

    Michael Burman Newbie

      Hi,

       

      While ESB 4.9 documentation includes as a new change "fully compatible with HornetQ", what version is it referring to? It's certainly not working as expected with HornetQ 2.1.2 Final.

       

      Using JBoss 5.1.0 GA (which starts fine with just HornetQ installed), the installation of HornetQ creates to deploy directory:

      hornetq.sar

      hornetq-ra.sar

       

      However, ESB 4.9 install scripts can't find them, since they're looking for "hornetq":

       

      {noformat}
      <available property="hornetq.present"
      file="${deploy.dir}/hornetq"/>

      {noformat}

       

      This ends up with result:

       

       

      {noformat}

      jms.config.check:
      [echo] deploy.dir : E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy

       

      BUILD FAILED
      C:\Projects\jbossesb-4.9\install\build.xml:140: Could not determine JMS provider

      {noformat}

       

       

      So, already build script is not working. I'm going to assume that changing it to "${deploy.dir}/hornetq.sar" should do the trick. After that, installation works:

       

       

      {noformat}

      apply.modfilter.replace:
      [copy] Copying 1 file to E:\jboss-5.1.0.GA\server\default-with-hornetq\conf
      \bootstrap

       

      deploy:

       

      BUILD SUCCESSFUL
      Total time: 4 seconds

      {noformat}

       

       

      However, JBoss 5.1.0 GA with ESB 4.9 installed won't start anymore:

       

       

      {noformat}

      12:43:48,513 ERROR [ProfileServiceBootstrap] Failed to load profile: Summary of incomplete deployments (SEE PREVIOUS ERR
      ORS FOR DETAILS):

       

      DEPLOYMENTS MISSING DEPENDENCIES:
      Deployment "jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/jbossesb.esb/" is missing the foll
      owing dependencies:
      Dependency "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/jbossesb.esb/>" (should
      be in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'org.hornetq:module=JMS,name="DeadMessageQueu
      e",type=Queue' **")
      Dependency "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/jbossesb.esb/>" (should
      be in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'org.hornetq:module=JMS,name="OperationsResul
      tCollectorQueue",type=Queue' **")
      Dependency "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/jbossesb.esb/>" (should
      be in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'org.hornetq:module=JMS,name="DataCollectorQu
      eue",type=Queue' **")
      Dependency "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/jbossesb.esb/>" (should
      be in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'org.hornetq:module=JMS,name="OperationsColle
      ctorQueue",type=Queue' **")
      Deployment "jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/jbpm.esb/" is missing the followin
      g dependencies:
      Dependency "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/jbpm.esb/>" (should be
      in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **")
      Dependency "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/jbpm.esb/>" (should be
      in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'org.hornetq:module=JMS,name="CallbackQueue",type
      =Queue' **")
      Deployment "jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/jbrules.esb/" is missing the follo
      wing dependencies:
      Dependency "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/jbrules.esb/>" (should
      be in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **")
      Deployment "jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/slsb.esb/" is missing the followin
      g dependencies:
      Dependency "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/slsb.esb/>" (should be
      in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **")
      Deployment "jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/smooks.esb/" is missing the follow
      ing dependencies:
      Dependency "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/smooks.esb/>" (should b
      e in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **")
      Deployment "jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/soap.esb/" is missing the followin
      g dependencies:
      Dependency "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/soap.esb/>" (should be
      in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **")
      Deployment "jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/spring.esb/" is missing the follow
      ing dependencies:
      Dependency "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/spring.esb/>" (should b
      e in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **")

       

      DEPLOYMENTS IN ERROR:
      Deployment "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/jbossesb.esb/>" is in err
      or due to the following reason(s): ** UNRESOLVED Demands 'org.hornetq:module=JMS,name="DataCollectorQueue",type=Queue' *
      *, ** UNRESOLVED Demands 'org.hornetq:module=JMS,name="DeadMessageQueue",type=Queue' **, ** UNRESOLVED Demands 'org.horn
      etq:module=JMS,name="OperationsCollectorQueue",type=Queue' **, ** UNRESOLVED Demands 'org.hornetq:module=JMS,name="Opera
      tionsResultCollectorQueue",type=Queue' **
      Deployment "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/soap.esb/>" is in error d
      ue to the following reason(s): ** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **
      Deployment "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/smooks.esb/>" is in error
      due to the following reason(s): ** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **
      Deployment "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/spring.esb/>" is in error
      due to the following reason(s): ** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **
      Deployment "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/slsb.esb/>" is in error d
      ue to the following reason(s): ** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **
      Deployment "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/jbrules.esb/>" is in erro
      r due to the following reason(s): ** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **
      Deployment "<UNKNOWN jboss.esb.vfsfile:/E:/jboss-5.1.0.GA/server/default-with-hornetq/deploy/jbpm.esb/>" is in error d
      ue to the following reason(s): ** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **, ** UNRESOLVED Demands 'org.
      hornetq:module=JMS,name="CallbackQueue",type=Queue' **

       

      12:43:48,607 INFO  [Http11Protocol] Starting Coyote HTTP/1.1 on http-127.0.0.1-8080
      12:43:48,734 INFO  [AjpProtocol] Starting Coyote AJP/1.3 on ajp-127.0.0.1-8009
      12:43:48,743 INFO  [ServerImpl] JBoss (Microcontainer) [5.1.0.GA (build: SVNTag=JBoss_5_1_0_GA date=200905221053)] Start
      ed in 1m:34s:523ms

      {noformat}

       

       

      Has anyone got this to work, and if, how?

        • 1. Re: HornetQ 2.1.2 and ESB 4.9 not compatible?
          Tom Fennelly Master

          This integration only works when installed from the HornetQ install scripts that were part of JBoss EAP 5.1.  It will not work with AS5 installer that's part of HornetQ because that installer doesn't install a full deployer - only supports destination definitions inside the hornetq sar i.e. can't deploy them from e.g. inside yan esb.

           

          As it turns out.... the HornetQ integration may get removed from the ESB for other reasons.

          • 2. Re: HornetQ 2.1.2 and ESB 4.9 not compatible?
            Michael Burman Newbie

            If that's the case, it would be nice if you'd keep the branches of EAP 5.1 and ESB 4.9 documented. Now 4.9 documentation is saying one can use HornetQ when it's not actually supported and ESB 4.9 scripts even try to detect it. Not blaming you, but just a wish. Lack of deployer is clearly HornetQ team's fault.

             

            The other thing is, JMS provider should be at least relatively static. JBoss Messaging's future is dead, HornetQ replacing it and then ESB keeps changing from one to another and then even suggesting more changes. It's just more of a general complaint towards the JBoss ESB, there's no roadmap ahead, trunk seems relatively dead in terms of updates, so it all bears a question, where is this project heading to?

            • 3. Re: HornetQ 2.1.2 and ESB 4.9 not compatible?
              Tom Fennelly Master

              Hi Michael.... you have a perfectly valid point wrt the docs not being clear on this.  Apologies for that !!  As for the rest of your rantings, I'll just ignore them and put it down to being the end of a long week

               

              If you need to get this working, what you could try is:

              1. Install HornetQ in AS5 using HornetQ's own AS5 installer.
              2. Modify the ESB installer to recognise the HornetQ provider, as installed by the HornetQ installer (in #1).
              3. Install the ESB.
              4. Search the installed ESB components for hornetq-jms.xml files and merge their contents into the centralized hornetq-jms.xml in the hornetq sar.
              5. Remove the excess hornetq-jms.xml files (see #4) from the ESB components.

               

              I think that should work.  Thing to remember is.... if you need deploy a .esb, you need to define any JMS destinations it may have in the centralized hornetq-jms.xml.

              • 4. Re: HornetQ 2.1.2 and ESB 4.9 not compatible?
                Michael Burman Newbie

                Hi, yes, long week (and long days), sorry for the rant and thanks for nice answer. The actual point just was, that JBoss ESB is in my opinion an interesting project and something I'd like to concentrate on (including contributions) and I'm interested in it's future (was hoping for more news on what's coming etc). Are these news available from the commercial ways then ? (I think we have agreement with JBoss, just with different section of the company - and I really like to use the open source version because of possibility of trunk updates)

                 

                What HornetQ brings to the table would be quick local persisting. Sometimes communication between application server and database server is lost (just few packets could be lost) and in that case using transacted JMS persistence is nice. The other issue is load-balancing I/O requirements between different servers, even when they both use SANs.

                • 5. Re: HornetQ 2.1.2 and ESB 4.9 not compatible?
                  Keith Babo Master

                  Re: messaging provider, JBoss Messaging is the supported messaging solution in our production platforms and will be there for many years to come.  HornetQ is the future, it is awesome, and it also making its way through the productization process to become a supported part of our platforms.  From an ESB perspective, you can remain 'static' and stick with JBoss Messaging with no problems at all.  If you would like to start using HornetQ, then you can follow the instructions that Tom gave above with the community version or have complete integration in our platform when productization is complete for HornetQ.

                   

                  I'm not sure what you mean by trunk seeming "relatively dead".  Trunk was very active up to the 4.9 release and the CP branch (which will make it back to trunk) has been quite active since then.

                  http://fisheye.jboss.org/chart/JBossESB/trunk

                  http://fisheye.jboss.org/chart/JBossESB/branches/JBESB_4_9_CP

                   

                  In terms of roadmap, take a look at the presentation Kevin and I gave at the last JBoss World.  As the productization work for SOA Platform 5.1 winds down, you will begin to see more activity in he community around ESB 5.

                   

                  hth,

                  keith

                  • 6. Re: HornetQ 2.1.2 and ESB 4.9 not compatible?
                    Michael Burman Newbie

                    These are very interesting notes, however, where does "C_P" for example come from? How would one know to follow this? ESBDevelopment page the jboss.org/jbossesb/ refers to has been updated last time 2006 (from developer documentation). That presentation hasn't seen any linking, this forum still talks about "stuck 4.8 released" advertisement, front-page's newest news is from February and blog hasn't been updated either.

                     

                    Where is one supposed to find all these ESB related news, if the JBoss ESB homepages are idle? Even updating a blog post every now and then telling we're alive would be nice.

                    • 7. Re: HornetQ 2.1.2 and ESB 4.9 not compatible?
                      Keith Babo Master

                      The CP branch is not something you need to follow as all of those commits are eventually folded back into trunk and incorporated (along with new features) into the next community release.

                       

                      Yes, I need to update the forum announcement to 4.9, apologies for that.  Email notifications were sent out to the community lists, but due to an issue with my login I was not able to create an announcement in the forum.  I need to chase that up and I will have the announcement updated ASAP.  Thanks for bringing it to my attention.

                       

                      In terms of staying up-to-date, the forums are your best best.

                      • 8. Re: HornetQ 2.1.2 and ESB 4.9 not compatible?
                        Ben Wright Newbie

                        I'm also having this problem - trying to get JBoss AS 5.1.0 working with JBoss ESB 4.9 and HornetQ 2.1.2

                         

                        I've followed these steps but the problem persists...

                         

                        DEPLOYMENTS MISSING DEPENDENCIES:
                          Deployment "jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/jbossesb.esb/" is missing the following dependencies:
                            Dependency "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/jbossesb.esb/>" (should be in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'org.hornetq:module=JMS,name="DeadMessageQueue",type=Queue' **")
                            Dependency "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/jbossesb.esb/>" (should be in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'org.hornetq:module=JMS,name="OperationsResultCollectorQueue",type=Queue' **")
                            Dependency "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/jbossesb.esb/>" (should be in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'org.hornetq:module=JMS,name="DataCollectorQueue",type=Queue' **")
                            Dependency "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/jbossesb.esb/>" (should be in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'org.hornetq:module=JMS,name="OperationsCollectorQueue",type=Queue' **")
                          Deployment "jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/jbpm.esb/" is missing the following dependencies:
                            Dependency "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/jbpm.esb/>" (should be in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'org.hornetq:module=JMS,name="CallbackQueue",type=Queue' **")
                            Dependency "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/jbpm.esb/>" (should be in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **")
                          Deployment "jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/jbrules.esb/" is missing the following dependencies:
                            Dependency "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/jbrules.esb/>" (should be in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **")
                          Deployment "jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/slsb.esb/" is missing the following dependencies:
                            Dependency "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/slsb.esb/>" (should be in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **")
                          Deployment "jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/smooks.esb/" is missing the following dependencies:
                            Dependency "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/smooks.esb/>" (should be in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **")
                          Deployment "jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/soap.esb/" is missing the following dependencies:
                            Dependency "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/soap.esb/>" (should be in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **")
                          Deployment "jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/spring.esb/" is missing the following dependencies:
                            Dependency "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/spring.esb/>" (should be in state "PreInstall", but is actually in state "** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **")

                         

                        DEPLOYMENTS IN ERROR:
                          Deployment "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/jbrules.esb/>" is in error due to the following reason(s): ** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **
                          Deployment "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/soap.esb/>" is in error due to the following reason(s): ** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **
                          Deployment "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/slsb.esb/>" is in error due to the following reason(s): ** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **
                          Deployment "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/jbpm.esb/>" is in error due to the following reason(s): ** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **, ** UNRESOLVED Demands 'org.hornetq:module=JMS,name="CallbackQueue",type=Queue' **
                          Deployment "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/jbossesb.esb/>" is in error due to the following reason(s): ** UNRESOLVED Demands 'org.hornetq:module=JMS,name="DataCollectorQueue",type=Queue' **, ** UNRESOLVED Demands 'org.hornetq:module=JMS,name="DeadMessageQueue",type=Queue' **, ** UNRESOLVED Demands 'org.hornetq:module=JMS,name="OperationsCollectorQueue",type=Queue' **, ** UNRESOLVED Demands 'org.hornetq:module=JMS,name="OperationsResultCollectorQueue",type=Queue' **
                          Deployment "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/smooks.esb/>" is in error due to the following reason(s): ** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **
                          Deployment "<UNKNOWN jboss.esb.vfsfile:/usr/jboss/jboss-5.1.0.GA/server/fulcrumESB/deploy/spring.esb/>" is in error due to the following reason(s): ** UNRESOLVED Demands 'jboss.esb:deployment=jbossesb.esb' **

                         

                        HornetQ JMS configuration is:

                         

                        <configuration xmlns="urn:hornetq"
                                    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                                    xsi:schemaLocation="urn:hornetq /schema/hornetq-jms.xsd">

                         

                           <connection-factory name="NettyConnectionFactory">
                              <connectors>
                                 <connector-ref connector-name="netty"/>
                              </connectors>
                              <entries>
                                 <entry name="/ConnectionFactory"/>
                                 <entry name="/XAConnectionFactory"/>
                              </entries>
                           </connection-factory>
                          
                           <connection-factory name="NettyThroughputConnectionFactory">
                               <connectors>
                                 <connector-ref connector-name="netty-throughput"/>
                               </connectors>
                                <entries>
                                    <entry name="/ThroughputConnectionFactory"/>
                                    <entry name="/XAThroughputConnectionFactory"/>
                                </entries>
                            </connection-factory>
                          
                           <connection-factory name="InVMConnectionFactory">
                              <connectors>
                                 <connector-ref connector-name="in-vm"/>
                              </connectors>
                              <entries>
                                 <entry name="java:/ConnectionFactory"/>
                                 <entry name="java:/XAConnectionFactory"/>
                              </entries>
                           </connection-factory>
                          
                           <queue name="DLQ">
                              <entry name="/queue/DLQ"/>
                           </queue>
                          
                           <queue name="ExpiryQueue">
                              <entry name="/queue/ExpiryQueue"/>
                           </queue>

                         

                        <!-- ***************************** -->
                        <!-- * jbossesb.esb Destinations * -->
                        <!-- ***************************** -->

                         

                           <queue name="DeadMessageQueue">
                              <entry name="queue/DeadMessageQueue"/>
                           </queue>
                          
                           <queue name="DataCollectorQueue">
                              <entry name="queue/DataCollectorQueue"/>
                           </queue>
                          
                           <queue name="OperationsCollectorQueue">
                              <entry name="queue/OperationsCollectorQueue"/>
                           </queue>
                          
                           <queue name="OperationsResultCollectorQueue">
                              <entry name="queue/OperationsResultCollectorQueue"/>
                           </queue>

                         

                        <!-- ***************************** -->
                        <!-- * jbpm.esb Destinations * -->
                        <!-- ***************************** -->
                          
                           <queue name="CallbackQueue">
                              <entry name="queue/CallbackQueue"/>
                           </queue>

                         

                        </configuration>

                         

                        Any ideas?

                        • 9. Re: HornetQ 2.1.2 and ESB 4.9 not compatible?
                          Tom Fennelly Master

                          Check the JMX console and see if the destinations are deployed e.g. check is "DeadMessageQueue" there?

                          • 10. Re: HornetQ 2.1.2 and ESB 4.9 not compatible?
                            Ben Wright Newbie

                            I'm not a JMX Console expert, but I believe they are.  I navigated to org.hornetq and the destination appears:

                             

                            org.hornetq

                             

                                address="jms.queue.CallbackQueue",module=Core,name="jms.queue.CallbackQueue",type=Queue
                                address="jms.queue.DLQ",module=Core,name="jms.queue.DLQ",type=Queue
                                address="jms.queue.DataCollectorQueue",module=Core,name="jms.queue.DataCollectorQueue",type=Queue
                                address="jms.queue.DeadMessageQueue",module=Core,name="jms.queue.DeadMessageQueue",type=Queue
                                address="jms.queue.ExpiryQueue",module=Core,name="jms.queue.ExpiryQueue",type=Queue
                                address="jms.queue.OperationsCollectorQueue",module=Core,name="jms.queue.OperationsCollectorQueue",type=Queue
                                address="jms.queue.OperationsResultCollectorQueue",module=Core,name="jms.queue.OperationsResultCollectorQueue",type=Queue
                                module=Core,name="in-vm",type=Acceptor
                                module=Core,name="jms.queue.CallbackQueue",type=Address
                                module=Core,name="jms.queue.DLQ",type=Address
                                module=Core,name="jms.queue.DataCollectorQueue",type=Address
                                module=Core,name="jms.queue.DeadMessageQueue",type=Address
                                module=Core,name="jms.queue.ExpiryQueue",type=Address
                                module=Core,name="jms.queue.OperationsCollectorQueue",type=Address
                                module=Core,name="jms.queue.OperationsResultCollectorQueue",type=Address
                                module=Core,name="netty",type=Acceptor
                                module=Core,name="netty-throughput",type=Acceptor
                                module=Core,type=Server
                                module=JMS,name="CallbackQueue",type=Queue
                                module=JMS,name="DLQ",type=Queue
                                module=JMS,name="DataCollectorQueue",type=Queue
                                module=JMS,name="DeadMessageQueue",type=Queue
                                module=JMS,name="ExpiryQueue",type=Queue
                                module=JMS,name="InVMConnectionFactory",type=ConnectionFactory
                                module=JMS,name="NettyConnectionFactory",type=ConnectionFactory
                                module=JMS,name="NettyThroughputConnectionFactory",type=ConnectionFactory
                                module=JMS,name="OperationsCollectorQueue",type=Queue
                                module=JMS,name="OperationsResultCollectorQueue",type=Queue
                                module=JMS,type=Server

                            • 11. Re: HornetQ 2.1.2 and ESB 4.9 not compatible?
                              Daniel Bevenius Master

                              Hi,

                               

                              we have been looking into getting the HornetQ deployers working with JBossAS 5.1.0.GA and created this wikipage in the process.

                              Just sharing this in case it might be useful to others. This seems to work so far for us but please let us know if you run into any issues.

                               

                              Regards,

                               

                              /Daniel

                              • 12. Re: HornetQ 2.1.2 and ESB 4.9 not compatible?
                                saveetha R Newbie

                                Hi,

                                 

                                I have tried out your steps as per wikipage and it works perfectly.

                                 

                                Did you try to integrate HornetQ with JBoss SOA-P 5.0.0?

                                 

                                Thanks and regards,

                                saveetha